{
  "schema_version": "1.4.0",
  "id": "GHSA-qm68-r9p4-ghhx",
  "modified": "2025-04-20T03:35:20Z",
  "published": "2022-05-13T01:41:16Z",
  "aliases": [
    "CVE-2017-1001000"
  ],
  "details": "The register_routes function in wp-includes/rest-api/endpoints/class-wp-rest-posts-controller.php in the REST API in WordPress 4.7.x before 4.7.2 does not require an integer identifier, which allows remote attackers to modify arbitrary pages via a request for wp-json/wp/v2/posts followed by a numeric value and a non-numeric value, as demonstrated by the wp-json/wp/v2/posts/123?id=123helloworld URI.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-1001000"
    },
    {
      "type": "WEB",
      "url": "https://github.com/WordPress/WordPress/commit/e357195ce303017d517aff944644a7a1232926f7"
    },
    {
      "type": "WEB",
      "url": "https://blog.sucuri.net/2017/02/content-injection-vulnerability-wordpress-rest-api.html"
    },
    {
      "type": "WEB",
      "url": "https://blogs.akamai.com/2017/02/wordpress-web-api-vulnerability.html"
    },
    {
      "type": "WEB",
      "url": "https://codex.wordpress.org/Version_4.7.2"
    },
    {
      "type": "WEB",
      "url": "https://gist.github.com/leonjza/2244eb15510a0687ed93160c623762ab"
    },
    {
      "type": "WEB",
      "url": "https://make.wordpress.org/core/2017/02/01/disclosure-of-additional-security-fix-in-wordpress-4-7-2"
    },
    {
      "type": "WEB",
      "url": "https://wordpress.org/news/2017/01/wordpress-4-7-2-security-release"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2017/02/10/16"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1037731"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-04-03T01:59:00Z"
  }
}